/***********************************************************************************************************************
 * @package		Learning
 * @author		Zahirul Hasan<info@zbabu.com>
 * @copyright	Copyright (c) 2011 - 2019 @ Zahirul Hasan (http://zbabu.com) All rights reserved.
 * @license		http://zbabu.com/license-agreement
 **********************************************************************************************************************/

.close {
	float: right;
	font-size: @close-font-size;
	font-weight: @close-font-weight;
	line-height: 1;
	color: @close-color;
	text-shadow: @close-text-shadow;
	opacity: 0.5;

	// Opinionated: add "hand" cursor to non-disabled .close elements
	&:not(:disabled):not(.disabled) {

		#hover-focus({
			color: @close-color;
			text-decoration: none;
			opacity: 0.75;
		});

		cursor: pointer;
	}
}

// Additional properties for button version
// iOS requires the button element instead of an anchor tag.
// If you want the anchor version, it requires `href="#"`.
// See https://developer.mozilla.org/en-US/docs/Web/Events/click#Safari_Mobile

button.close {
	padding: 0;
	background-color: transparent;
	border: 0;
	-webkit-appearance: none;
}
